import 'multer';
import { UploadFilesForCheck } from 'express';
declare function exists(value: any): boolean;
declare function isSafePath(p: string): boolean;
declare function isArray(value: any): value is any[];
declare function isNotEmptyIntArray(value: any): boolean;
declare function isNotEmptyStringArray(value: any): boolean;
declare function isArrayOf(value: any, validator: (value: any) => boolean): boolean;
declare function isDateValid(value: string): boolean;
declare function isIdValid(value: string): boolean;
declare function isUUIDValid(value: string): boolean;
declare function areUUIDsValid(values: string[]): boolean;
declare function isIdOrUUIDValid(value: string): boolean;
declare function isBooleanValid(value: any): boolean;
declare function isIntOrNull(value: any): boolean;
declare function isFileFieldValid(files: {
    [fieldname: string]: Express.Multer.File[];
} | Express.Multer.File[], field: string, optional?: boolean): boolean | Express.Multer.File;
declare function isFileMimeTypeValid(files: UploadFilesForCheck, mimeTypeRegex: string, field: string, optional?: boolean): boolean;
declare function isFileValid(files: {
    [fieldname: string]: Express.Multer.File[];
} | Express.Multer.File[], mimeTypeRegex: string, field: string, maxSize: number | null, optional?: boolean): boolean;
declare function toCompleteUUID(value: string): string;
declare function toCompleteUUIDs(values: string[]): string[];
declare function toIntOrNull(value: string): string | number;
declare function toBooleanOrNull(value: any): string | boolean;
declare function toValueOrNull(value: string): string;
declare function toArray(value: any): any;
declare function toIntArray(value: any): any;
export { exists, isArrayOf, isNotEmptyIntArray, isArray, isIntOrNull, isIdValid, isSafePath, isNotEmptyStringArray, isUUIDValid, toCompleteUUIDs, toCompleteUUID, isIdOrUUIDValid, isDateValid, toValueOrNull, toBooleanOrNull, isBooleanValid, toIntOrNull, areUUIDsValid, toArray, toIntArray, isFileFieldValid, isFileMimeTypeValid, isFileValid };
//# sourceMappingURL=misc.d.ts.map