/// <reference types="multer" />
import { UploadFilesForCheck } from 'express';
import { VideoFilter, VideoInclude } from '../../../shared/models';
declare function isVideoFilterValid(filter: VideoFilter): boolean;
declare function isVideoIncludeValid(include: VideoInclude): boolean;
declare function isVideoCategoryValid(value: any): boolean;
declare function isVideoStateValid(value: any): boolean;
declare function isVideoLicenceValid(value: any): boolean;
declare function isVideoLanguageValid(value: any): boolean;
declare function isVideoDurationValid(value: string): boolean;
declare function isVideoTruncatedDescriptionValid(value: string): boolean;
declare function isVideoDescriptionValid(value: string): boolean;
declare function isVideoSupportValid(value: string): boolean;
declare function isVideoNameValid(value: string): boolean;
declare function isVideoTagValid(tag: string): boolean;
declare function isVideoTagsValid(tags: string[]): boolean;
declare function isVideoViewsValid(value: string): boolean;
declare function isVideoRatingTypeValid(value: string): boolean;
declare function isVideoFileExtnameValid(value: string): boolean;
declare function isVideoFileMimeTypeValid(files: UploadFilesForCheck): boolean;
declare function isVideoImage(files: {
    [fieldname: string]: Express.Multer.File[];
} | Express.Multer.File[], field: string): boolean;
declare function isVideoPrivacyValid(value: number): boolean;
declare function isScheduleVideoUpdatePrivacyValid(value: number): boolean;
declare function isVideoOriginallyPublishedAtValid(value: string | null): boolean;
declare function isVideoFileInfoHashValid(value: string | null | undefined): boolean;
declare function isVideoFileResolutionValid(value: string): boolean;
declare function isVideoFPSResolutionValid(value: string): boolean;
declare function isVideoFileSizeValid(value: string): boolean;
declare function isVideoMagnetUriValid(value: string): boolean;
export { isVideoCategoryValid, isVideoLicenceValid, isVideoLanguageValid, isVideoTruncatedDescriptionValid, isVideoDescriptionValid, isVideoFileInfoHashValid, isVideoNameValid, isVideoTagsValid, isVideoFPSResolutionValid, isScheduleVideoUpdatePrivacyValid, isVideoOriginallyPublishedAtValid, isVideoMagnetUriValid, isVideoStateValid, isVideoIncludeValid, isVideoViewsValid, isVideoRatingTypeValid, isVideoFileExtnameValid, isVideoFileMimeTypeValid, isVideoDurationValid, isVideoTagValid, isVideoPrivacyValid, isVideoFileResolutionValid, isVideoFileSizeValid, isVideoImage, isVideoSupportValid, isVideoFilterValid };
//# sourceMappingURL=videos.d.ts.map