import express, { RequestHandler } from 'express';
declare function buildNSFWFilter(res?: express.Response, paramNSFW?: string): boolean;
declare function cleanUpReqFiles(req: express.Request): void;
declare function getHostWithPort(host: string): string;
declare function badRequest(_req: express.Request, res: express.Response): void;
declare function createReqFiles(fieldNames: string[], mimeTypes: {
    [id: string]: string | string[];
}, destinations: {
    [fieldName: string]: string;
}): RequestHandler;
declare function isUserAbleToSearchRemoteURI(res: express.Response): boolean;
declare function getCountVideos(req: express.Request): boolean;
export { buildNSFWFilter, getHostWithPort, isUserAbleToSearchRemoteURI, badRequest, createReqFiles, cleanUpReqFiles, getCountVideos };
//# sourceMappingURL=express-utils.d.ts.map