declare type YoutubeDLInfo = {
    name?: string;
    description?: string;
    category?: number;
    language?: string;
    licence?: number;
    nsfw?: boolean;
    tags?: string[];
    thumbnailUrl?: string;
    ext?: string;
    originallyPublishedAt?: Date;
};
declare class YoutubeDLInfoBuilder {
    private readonly info;
    constructor(info: any);
    getInfo(): YoutubeDLInfo;
    private normalizeObject;
    private buildOriginallyPublishedAt;
    private buildVideoInfo;
    private titleTruncation;
    private descriptionTruncation;
    private isNSFW;
    private getTags;
    private getLicence;
    private getCategory;
    private getLanguage;
}
export { YoutubeDLInfo, YoutubeDLInfoBuilder };
//# sourceMappingURL=youtube-dl-info-builder.d.ts.map