import { Transaction } from 'sequelize/types';
import { MActorImages } from '../../../types/models';
import { ActorImageType } from '../../../../shared/models';
declare type ImageInfo = {
    name: string;
    fileUrl: string;
    height: number;
    width: number;
    onDisk?: boolean;
};
declare function updateActorImageInstance(actor: MActorImages, type: ActorImageType, imageInfo: ImageInfo | null, t: Transaction): Promise<MActorImages>;
declare function deleteActorImageInstance(actor: MActorImages, type: ActorImageType, t: Transaction): Promise<MActorImages>;
export { ImageInfo, updateActorImageInstance, deleteActorImageInstance };
//# sourceMappingURL=image.d.ts.map