import { Transaction } from 'sequelize';
import { ActivityAudience, ActivityCreate } from '../../../../shared/models/activitypub';
import { MActorLight, MCommentOwnerVideo, MVideoAccountLight, MVideoAP, MVideoPlaylistFull, MVideoRedundancyFileVideo, MVideoRedundancyStreamingPlaylistVideo } from '../../../types/models';
declare function sendCreateVideo(video: MVideoAP, t: Transaction): Promise<any>;
declare function sendCreateCacheFile(byActor: MActorLight, video: MVideoAccountLight, fileRedundancy: MVideoRedundancyStreamingPlaylistVideo | MVideoRedundancyFileVideo): Promise<any>;
declare function sendCreateVideoPlaylist(playlist: MVideoPlaylistFull, t: Transaction): Promise<any>;
declare function sendCreateVideoComment(comment: MCommentOwnerVideo, t: Transaction): Promise<any>;
declare function buildCreateActivity(url: string, byActor: MActorLight, object: any, audience?: ActivityAudience): ActivityCreate;
export { sendCreateVideo, buildCreateActivity, sendCreateVideoComment, sendCreateVideoPlaylist, sendCreateCacheFile };
//# sourceMappingURL=send-create.d.ts.map