import { Transaction } from 'sequelize';
import { MActor, MActorFollowActors, MActorLight, MVideo, MVideoAccountLight, MVideoRedundancyVideo, MVideoShare } from '../../../types/models';
declare function sendUndoFollow(actorFollow: MActorFollowActors, t: Transaction): void;
declare function sendUndoAnnounce(byActor: MActorLight, videoShare: MVideoShare, video: MVideo, t: Transaction): Promise<any>;
declare function sendUndoLike(byActor: MActor, video: MVideoAccountLight, t: Transaction): Promise<any>;
declare function sendUndoDislike(byActor: MActor, video: MVideoAccountLight, t: Transaction): Promise<any>;
declare function sendUndoCacheFile(byActor: MActor, redundancyModel: MVideoRedundancyVideo, t: Transaction): Promise<any>;
export { sendUndoFollow, sendUndoLike, sendUndoDislike, sendUndoAnnounce, sendUndoCacheFile };
//# sourceMappingURL=send-undo.d.ts.map