import { Transaction } from 'sequelize';
import { VideoRateType } from '../../../shared/models/videos';
import { MAccountActor, MActorUrl, MVideo, MVideoAccountLight, MVideoId } from '../../types/models';
declare function createRates(ratesUrl: string[], video: MVideo, rate: VideoRateType): Promise<void>;
declare function sendVideoRateChange(account: MAccountActor, video: MVideoAccountLight, likes: number, dislikes: number, t: Transaction): Promise<void>;
declare function getLocalRateUrl(rateType: VideoRateType, actor: MActorUrl, video: MVideoId): string;
export { getLocalRateUrl, createRates, sendVideoRateChange };
//# sourceMappingURL=video-rates.d.ts.map