import { LoggerTagsFn } from '../../../helpers/logger';
import { MVideoAccountLightBlacklistAllFiles, MVideoFullLight } from '../../../types/models';
import { VideoObject } from '../../../../shared/models';
import { APVideoAbstractBuilder } from './shared';
export declare class APVideoUpdater extends APVideoAbstractBuilder {
    protected readonly videoObject: VideoObject;
    private readonly video;
    private readonly wasPrivateVideo;
    private readonly wasUnlistedVideo;
    private readonly videoFieldsSave;
    private readonly oldVideoChannel;
    protected lTags: LoggerTagsFn;
    constructor(videoObject: VideoObject, video: MVideoAccountLightBlacklistAllFiles);
    update(overrideTo?: string[]): Promise<MVideoFullLight>;
    private checkChannelUpdateOrThrow;
    private updateVideo;
    private setCaptions;
    private setOrDeleteLive;
    private catchUpdateError;
}
//# sourceMappingURL=updater.d.ts.map