declare class LiveManager {
    private static instance;
    private readonly muxingSessions;
    private readonly videoSessions;
    private rtmpServer;
    private rtmpsServer;
    private running;
    private constructor();
    init(): void;
    run(): Promise<void>;
    stop(): void;
    isRunning(): boolean;
    stopSessionOf(videoId: number): void;
    private getContext;
    private abortSession;
    private handleSession;
    private runMuxingSession;
    private publishAndFederateLive;
    private onMuxingFFmpegEnd;
    private onAfterMuxingCleanup;
    private handleBrokenLives;
    private buildAllResolutionsToTranscode;
    private createLivePlaylist;
    static get Instance(): LiveManager;
}
export { LiveManager };
//# sourceMappingURL=live-manager.d.ts.map