import { MAbuseFull, MUserDefault, MUserWithNotificationSetting, UserNotificationModelForApi } from '../../../../types/models';
import { AbstractNotification } from '../common/abstract-notification';
export declare class AbuseStateChangeForReporter extends AbstractNotification<MAbuseFull> {
    private user;
    prepare(): Promise<void>;
    log(): void;
    getSetting(user: MUserWithNotificationSetting): import("../../../../../shared/models").UserNotificationSettingValue;
    getTargetUsers(): MUserDefault[];
    createNotification(user: MUserWithNotificationSetting): Promise<UserNotificationModelForApi>;
    createEmail(to: string): {
        template: string;
        to: string;
        subject: string;
        locals: {
            action: {
                text: string;
                url: string;
            };
            abuseId: any;
            abuseUrl: string;
            isAccepted: boolean;
        };
    };
    private get abuse();
}
//# sourceMappingURL=abuse-state-change-for-reporter.d.ts.map