import { MUserDefault, MUserWithNotificationSetting, MVideoBlacklistLightVideo, UserNotificationModelForApi } from '../../../../types/models';
import { AbstractNotification } from '../common/abstract-notification';
export declare class NewAutoBlacklistForModerators extends AbstractNotification<MVideoBlacklistLightVideo> {
    private moderators;
    prepare(): Promise<void>;
    log(): void;
    getSetting(user: MUserWithNotificationSetting): import("../../../../../shared/models").UserNotificationSettingValue;
    getTargetUsers(): MUserDefault[];
    createNotification(user: MUserWithNotificationSetting): Promise<UserNotificationModelForApi>;
    createEmail(to: string): Promise<{
        template: string;
        to: string;
        subject: string;
        locals: {
            channel: import("../../../../../shared/models").VideoChannelSummary;
            videoUrl: string;
            videoName: string;
            action: {
                text: string;
                url: string;
            };
        };
    }>;
}
//# sourceMappingURL=new-auto-blacklist-for-moderators.d.ts.map