import { MCommentOwnerVideo, MUserDefault, MUserNotifSettingAccount, MUserWithNotificationSetting, UserNotificationModelForApi } from '../../../../types/models';
import { UserNotificationSettingValue } from '../../../../../shared/models';
import { AbstractNotification } from '../common';
export declare class CommentMention extends AbstractNotification<MCommentOwnerVideo, MUserNotifSettingAccount> {
    private users;
    private serverAccountId;
    private accountMutedHash;
    private instanceMutedHash;
    prepare(): Promise<void>;
    log(): void;
    getSetting(user: MUserNotifSettingAccount): UserNotificationSettingValue;
    getTargetUsers(): MUserDefault[];
    createNotification(user: MUserWithNotificationSetting): Promise<UserNotificationModelForApi>;
    createEmail(to: string): {
        template: string;
        to: string;
        subject: string;
        locals: {
            comment: MCommentOwnerVideo;
            commentHtml: any;
            video: import("../../../../types/models").MVideoAccountLight;
            videoUrl: string;
            accountName: string;
            action: {
                text: string;
                url: string;
            };
        };
    };
}
//# sourceMappingURL=comment-mention.d.ts.map