import { AccountBlocklistModel } from '../../../models/account/account-blocklist';
import { PickWith } from '../../../../shared/typescript-utils';
import { MAccountDefault, MAccountFormattable } from './account';
declare type Use<K extends keyof AccountBlocklistModel, M> = PickWith<AccountBlocklistModel, K, M>;
export declare type MAccountBlocklist = Omit<AccountBlocklistModel, 'ByAccount' | 'BlockedAccount'>;
export declare type MAccountBlocklistId = Pick<AccountBlocklistModel, 'id'>;
export declare type MAccountBlocklistAccounts = MAccountBlocklist & Use<'ByAccount', MAccountDefault> & Use<'BlockedAccount', MAccountDefault>;
export declare type MAccountBlocklistFormattable = Pick<MAccountBlocklist, 'createdAt'> & Use<'ByAccount', MAccountFormattable> & Use<'BlockedAccount', MAccountFormattable>;
export {};
//# sourceMappingURL=account-blocklist.d.ts.map