import { ServerBlocklistModel } from '../../../models/server/server-blocklist';
import { PickWith } from '../../../../shared/typescript-utils';
import { MAccountDefault, MAccountFormattable } from '../account/account';
import { MServer, MServerFormattable } from './server';
declare type Use<K extends keyof ServerBlocklistModel, M> = PickWith<ServerBlocklistModel, K, M>;
export declare type MServerBlocklist = Omit<ServerBlocklistModel, 'ByAccount' | 'BlockedServer'>;
export declare type MServerBlocklistAccountServer = MServerBlocklist & Use<'ByAccount', MAccountDefault> & Use<'BlockedServer', MServer>;
export declare type MServerBlocklistFormattable = Pick<MServerBlocklist, 'createdAt'> & Use<'ByAccount', MAccountFormattable> & Use<'BlockedServer', MServerFormattable>;
export {};
//# sourceMappingURL=server-blocklist.d.ts.map