export declare type EmbedMarkupData = {
    uuid: string;
};
export declare type VideoMiniatureMarkupData = {
    uuid: string;
    onlyDisplayTitle?: string;
};
export declare type PlaylistMiniatureMarkupData = {
    uuid: string;
};
export declare type ChannelMiniatureMarkupData = {
    name: string;
    displayLatestVideo?: string;
    displayDescription?: string;
};
export declare type VideosListMarkupData = {
    onlyDisplayTitle?: string;
    maxRows?: string;
    sort?: string;
    count?: string;
    categoryOneOf?: string;
    languageOneOf?: string;
    channelHandle?: string;
    accountHandle?: string;
    isLive?: string;
    onlyLocal?: string;
};
export declare type ButtonMarkupData = {
    theme: 'primary' | 'secondary';
    href: string;
    label: string;
    blankTarget?: string;
};
export declare type ContainerMarkupData = {
    width?: string;
    title?: string;
    description?: string;
    layout?: 'row' | 'column';
    justifyContent?: 'space-between' | 'normal';
};
//# sourceMappingURL=custom-markup-data.model.d.ts.map