import { ActorModel } from '../../../../models/actor/actor';
import { FilteredModelAttributes } from '../../../../types';
import { ActivityPubActor, ActorImageType } from '../../../../../shared/models';
declare function getActorAttributesFromObject(actorObject: ActivityPubActor, followersCount: number, followingCount: number): FilteredModelAttributes<ActorModel>;
declare function getImageInfoFromObject(actorObject: ActivityPubActor, type: ActorImageType): {
    name: string;
    fileUrl: string;
    height: number;
    width: number;
    type: ActorImageType;
};
declare function getActorDisplayNameFromObject(actorObject: ActivityPubActor): string;
export { getActorAttributesFromObject, getImageInfoFromObject, getActorDisplayNameFromObject };
//# sourceMappingURL=object-to-model-attributes.d.ts.map