import { MActorDefault, MActorSignature } from '../../types/models';
import { Activity } from '../../../shared/models';
declare type QueueParam = {
    activities: Activity[];
    signatureActor?: MActorSignature;
    inboxActor?: MActorDefault;
};
declare class InboxManager {
    private static instance;
    private readonly inboxQueue;
    private constructor();
    addInboxMessage(options: QueueParam): void;
    getActivityPubMessagesWaiting(): number;
    static get Instance(): InboxManager;
}
export { InboxManager };
//# sourceMappingURL=inbox-manager.d.ts.map