import { Transaction } from 'sequelize';
import { ActivityAnnounce, ActivityAudience } from '../../../../shared/models/activitypub';
import { MActorLight, MVideo } from '../../../types/models';
import { MVideoShare } from '../../../types/models/video';
declare function buildAnnounceWithVideoAudience(byActor: MActorLight, videoShare: MVideoShare, video: MVideo, t: Transaction): Promise<{
    activity: ActivityAnnounce;
    actorsInvolvedInVideo: MActorLight[];
}>;
declare function sendVideoAnnounce(byActor: MActorLight, videoShare: MVideoShare, video: MVideo, t: Transaction): Promise<any>;
declare function buildAnnounceActivity(url: string, byActor: MActorLight, object: string, audience?: ActivityAudience): ActivityAnnounce;
export { sendVideoAnnounce, buildAnnounceActivity, buildAnnounceWithVideoAudience };
//# sourceMappingURL=send-announce.d.ts.map