import { MVideo } from '../types/models';
export declare class VideoViews {
    private readonly viewersPerVideo;
    private static instance;
    private constructor();
    init(): void;
    processView(options: {
        video: MVideo;
        ip: string | null;
        viewerExpires?: Date;
    }): Promise<boolean>;
    getViewers(video: MVideo): number;
    buildViewerExpireTime(): number;
    private addView;
    private addViewer;
    private cleanViewers;
    private notifyClients;
    static get Instance(): VideoViews;
}
//# sourceMappingURL=video-views.d.ts.map