import { NextFunction, Request, Response } from 'express';
import { ValidationChain } from 'express-validator';
import { ExpressPromiseHandler } from '../types/express';
export declare type RequestPromiseHandler = ValidationChain | ExpressPromiseHandler;
declare function asyncMiddleware(fun: RequestPromiseHandler | RequestPromiseHandler[]): (req: Request, res: Response, next: NextFunction) => void | Promise<void>;
declare function asyncRetryTransactionMiddleware(fun: (req: Request, res: Response, next: NextFunction) => Promise<any>): (req: Request, res: Response, next: NextFunction) => Promise<any>;
export { asyncMiddleware, asyncRetryTransactionMiddleware };
//# sourceMappingURL=async.d.ts.map