/**
 *
 * Class to build video attributes/join names we want to fetch from the database
 *
 */
export declare class VideoTableAttributes {
    readonly mode: 'get' | 'list';
    constructor(mode: 'get' | 'list');
    getChannelAttributesForUser(): string[];
    getChannelAttributes(): string[];
    getUserAccountAttributes(): string[];
    getAccountAttributes(): string[];
    getThumbnailAttributes(): string[];
    getFileAttributes(): string[];
    getStreamingPlaylistAttributes(): string[];
    getUserHistoryAttributes(): string[];
    getPlaylistAttributes(): string[];
    getTagAttributes(): string[];
    getVideoTagAttributes(): string[];
    getBlacklistedAttributes(): string[];
    getBlocklistAttributes(): string[];
    getScheduleUpdateAttributes(): string[];
    getLiveAttributes(): string[];
    getTrackerAttributes(): string[];
    getVideoTrackerAttributes(): string[];
    getRedundancyAttributes(): string[];
    getActorAttributes(): string[];
    getAvatarAttributes(): string[];
    getServerAttributes(): string[];
    getVideoAttributes(): string[];
}
//# sourceMappingURL=video-table-attributes.d.ts.map