import { AbuseMessageModel } from '../../../models/abuse/abuse-message';
import { PickWith } from '../../../../shared/typescript-utils';
import { AbuseModel } from '../../../models/abuse/abuse';
import { MAccountFormattable } from '../account';
declare type Use<K extends keyof AbuseMessageModel, M> = PickWith<AbuseMessageModel, K, M>;
export declare type MAbuseMessage = Omit<AbuseMessageModel, 'Account' | 'Abuse' | 'toFormattedJSON'>;
export declare type MAbuseMessageId = Pick<AbuseModel, 'id'>;
export declare type MAbuseMessageFormattable = MAbuseMessage & Use<'Account', MAccountFormattable>;
export {};
//# sourceMappingURL=abuse-message.d.ts.map