import { PickWith } from '../../../../shared/typescript-utils';
import { VideoCaptionModel } from '../../../models/video/video-caption';
import { MVideo, MVideoUUID } from './video';
declare type Use<K extends keyof VideoCaptionModel, M> = PickWith<VideoCaptionModel, K, M>;
export declare type MVideoCaption = Omit<VideoCaptionModel, 'Video'>;
export declare type MVideoCaptionLanguage = Pick<MVideoCaption, 'language'>;
export declare type MVideoCaptionLanguageUrl = Pick<MVideoCaption, 'language' | 'fileUrl' | 'getFileUrl'>;
export declare type MVideoCaptionVideo = MVideoCaption & Use<'Video', Pick<MVideo, 'id' | 'remote' | 'uuid'>>;
export declare type MVideoCaptionFormattable = MVideoCaption & Pick<MVideoCaption, 'language'> & Use<'Video', MVideoUUID>;
export {};
//# sourceMappingURL=video-caption.d.ts.map