import { AccountVideoRateModel } from '../../../models/account/account-video-rate';
import { PickWith } from '../../../../shared/typescript-utils';
import { MAccountAudience, MAccountUrl } from '../account/account';
import { MVideo, MVideoFormattable } from './video';
declare type Use<K extends keyof AccountVideoRateModel, M> = PickWith<AccountVideoRateModel, K, M>;
export declare type MAccountVideoRate = Omit<AccountVideoRateModel, 'Video' | 'Account'>;
export declare type MAccountVideoRateAccountUrl = MAccountVideoRate & Use<'Account', MAccountUrl>;
export declare type MAccountVideoRateAccountVideo = MAccountVideoRate & Use<'Account', MAccountAudience> & Use<'Video', MVideo>;
export declare type MAccountVideoRateFormattable = Pick<MAccountVideoRate, 'type'> & Use<'Video', MVideoFormattable>;
export {};
//# sourceMappingURL=video-rate.d.ts.map