export declare const LOCALE_FILES: string[];
export declare const I18N_LOCALES: {
    'en-US': string;
    ar: string;
    'ca-ES': string;
    'cs-CZ': string;
    'de-DE': string;
    'el-GR': string;
    eo: string;
    'es-ES': string;
    'eu-ES': string;
    'fi-FI': string;
    'fr-FR': string;
    gd: string;
    'gl-ES': string;
    'hu-HU': string;
    'it-IT': string;
    'ja-JP': string;
    kab: string;
    'nl-NL': string;
    oc: string;
    'pl-PL': string;
    'pt-BR': string;
    'pt-PT': string;
    'ru-RU': string;
    sq: string;
    'sv-SE': string;
    nn: string;
    'nb-NO': string;
    'th-TH': string;
    'vi-VN': string;
    'zh-Hans-CN': string;
    'zh-Hant-TW': string;
};
export declare const POSSIBLE_LOCALES: string[];
export declare function getDefaultLocale(): string;
export declare function isDefaultLocale(locale: string): boolean;
export declare function peertubeTranslate(str: string, translations?: {
    [id: string]: string;
}): string;
export declare function is18nPath(path: string): boolean;
export declare function is18nLocale(locale: string): boolean;
export declare function getCompleteLocale(locale: string): any;
export declare function getShortLocale(locale: string): string;
export declare function buildFileLocale(locale: string): any;
//# sourceMappingURL=i18n.d.ts.map